View Issue Details

IDProjectCategoryView StatusLast Update
0004348unrealircdpublic2015-05-14 08:10
ReporterjanicezAssigned Totmcarthur 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.4-alpha1 
Target VersionFixed in Version3.4-alpha2 
Summary0004348: G:lines cannot be set by anyone. (maybe except remote opers.)
DescriptionG:lines cannot be set through sourceless TKL or through an oper /gline.

This severely affects security of any potential testnets that run Unreal 3.4.

I've also tried using my own pseudoserver to set TKLs. So far, no luck.
TagsNo tags attached.
3rd party modulesNone that I know of

Activities

janicez

2015-04-30 23:00

reporter   ~0018291

"TKL is a server only command" sending TKL from an opered client on pseudoserver, "GLINE is a server only command" sending GLINE from an opered client on pikachu.* (the Unreal3.4 install), and "You do not have the required operator privileges" with sourceless TKL.

Stealth

2015-05-01 02:15

reporter   ~0018292

Are you running 3.4-alpha1 downloaded from unrealircd.org, or are you running the latest source revision downloaded from our git repository?

janicez

2015-05-01 02:42

reporter   ~0018293

Last edited: 2015-05-01 02:43

View 2 revisions

Git, as Unreal 3.4alpha1 would not run.

tmcarthur

2015-05-14 07:04

developer   ~0018296

Checking it out now - thanks!

tmcarthur

2015-05-14 08:08

developer   ~0018298

Fixed in commit fb58482c4bcd588f6a3a302acf774d9df53ed9d1 - please check out from head and let me know if you continue to have problems - tested in a few cases and saw no issues but let me know if you still see problems. Thanks for the report!

Issue History

Date Modified Username Field Change
2015-04-30 22:58 janicez New Issue
2015-04-30 23:00 janicez Note Added: 0018291
2015-05-01 02:15 Stealth Note Added: 0018292
2015-05-01 02:42 janicez Note Added: 0018293
2015-05-01 02:43 janicez Note Edited: 0018293 View Revisions
2015-05-14 07:03 tmcarthur Assigned To => tmcarthur
2015-05-14 07:03 tmcarthur Status new => assigned
2015-05-14 07:04 tmcarthur Note Added: 0018296
2015-05-14 08:08 tmcarthur Note Added: 0018298
2015-05-14 08:09 tmcarthur Status assigned => resolved
2015-05-14 08:09 tmcarthur Fixed in Version => 3.4-alpha2
2015-05-14 08:09 tmcarthur Resolution open => fixed